import { Construct } from 'constructs';
import { TerraformProvider } from 'cdktf';
/**
 * @stability stable
 */
export interface NullProviderConfig {
    /**
     * Alias name.
     *
     * @stability stable
     */
    readonly alias?: string;
}
/**
 * @stability stable
 */
export declare class NullProvider extends TerraformProvider {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: NullProviderConfig);
    private _alias?;
    /**
     * @stability stable
     */
    get alias(): string | undefined;
    /**
     * @stability stable
     */
    set alias(value: string | undefined);
    /**
     * @stability stable
     */
    resetAlias(): void;
    /**
     * @stability stable
     */
    get aliasInput(): string | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
